Bug 501766 - [RHEL5] nscd crashes periodically
[RHEL5] nscd crashes periodically
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Andreas Schwab
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 12:08 EDT by Orion Poplawski
Modified: 2009-11-23 17:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-23 17:46:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2009-05-20 12:08:33 EDT
Description of problem:

nscd periodically crashes, every couple of days.  No messages anywhere.  I've built a version of nscd that changes its working directory to /var/db/nscd instead of / so that I am able to generate a core file.  Only collected a single core file so far, of not much use:

Core was generated by `/usr/sbin/nscd'.
Program terminated with signal 11, Segmentation fault.
[New process 16717]
[New process 16720]
[New process 16719]
[New process 16718]
[New process 16716]
#0  0x001bff36 in gc (db=0xffffffff) at mem.c:96
96            mark[elem++] = ALLBITS;
(gdb)thr a a bt
Thread 5 (process 16716):
#0  0x00dfd402 in __kernel_vsyscall ()
#1  0x001698c2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x001b8086 in nscd_run (p=0x1) at connections.c:1330
#3  0x0016549b in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00cf442e in clone () from /lib/libc.so.6

Thread 4 (process 16718):
#0  0x00dfd402 in __kernel_vsyscall ()
#1  0x00169595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x001b81c3 in nscd_run (p=0x3) at connections.c:1348
#3  0x0016549b in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00cf442e in clone () from /lib/libc.so.6

Thread 3 (process 16719):
#0  0x00dfd402 in __kernel_vsyscall ()
#1  0x00169595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x001b81c3 in nscd_run (p=0x4) at connections.c:1348
#3  0x0016549b in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00cf442e in clone () from /lib/libc.so.6

Thread 2 (process 16720):
#0  0x00dfd402 in __kernel_vsyscall ()
#1  0x00169595 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x001b81c3 in nscd_run (p=0x5) at connections.c:1348
#3  0x0016549b in start_thread (arg=<value optimized out>) at pthread_create.c:297
#4  0x00cf442e in clone () from /lib/libc.so.6

Thread 1 (process 16717):
#0  0x001bff36 in gc (db=0xffffffff) at mem.c:96
#1  0xffffffff in ?? ()
.....
#1392 0x00000000 in ?? ()
(gdb)


Version-Release number of selected component (if applicable):
glibc-2.5-34
Comment 1 Ulrich Drepper 2009-11-22 20:01:22 EST
RHEL5.3 isn't the latest version anymore.  Try 5.4.
Comment 2 Orion Poplawski 2009-11-23 17:22:17 EST
I have not seen this in a while.  I am running 5.4 now.
Comment 3 Ulrich Drepper 2009-11-23 17:46:23 EST
Closing with CURRENTRELEASE then.

Note You need to log in before you can comment on or make changes to this bug.